// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 60;
	objects = {
		FF0100000000000000000004 /* Generate Bazel Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Generate Bazel Dependencies";
			outputFileListPaths = (
				"$(INTERNAL_DIR)/generated.xcfilelist",
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"$BAZEL_INTEGRATION_DIR/generate_bazel_dependencies.sh\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000005 /* Create swift_debug_settings.py */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(BAZEL_INTEGRATION_DIR)/$(CONFIGURATION)-swift_debug_settings.py",
			);
			name = "Create swift_debug_settings.py";
			outputPaths = (
				"$(OBJROOT)/$(CONFIGURATION)/swift_debug_settings.py",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "perl -pe '\n  # Replace \"__BAZEL_XCODE_DEVELOPER_DIR__\" with \"$(DEVELOPER_DIR)\"\n  s/__BAZEL_XCODE_DEVELOPER_DIR__/\\$(DEVELOPER_DIR)/g;\n\n  # Replace \"__BAZEL_XCODE_SDKROOT__\" with \"$(SDKROOT)\"\n  s/__BAZEL_XCODE_SDKROOT__/\\$(SDKROOT)/g;\n\n  # Replace build settings with their values\n  s/\n    \\$             # Match a dollar sign\n    (\\()?          # Optionally match an opening parenthesis and capture it\n    ([a-zA-Z_]\\w*) # Match a variable name and capture it\n    (?(1)\\))       # If an opening parenthesis was captured, match a closing parenthesis\n  /$ENV{$2}/gx;    # Replace the entire matched string with the value of the corresponding environment variable\n\n' \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\n";
			showEnvVarsInLog = 0;
		};
		FF0100000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BAZEL_PACKAGE_BIN_DIR = rules_xcodeproj;
				CALCULATE_OUTPUT_GROUPS_SCRIPT = "$(BAZEL_INTEGRATION_DIR)/calculate_output_groups.py";
				CC = "";
				CXX = "";
				INDEXING_SUPPORTED_PLATFORMS__ = "$(INDEXING_SUPPORTED_PLATFORMS__NO)";
				INDEXING_SUPPORTED_PLATFORMS__NO = macosx;
				INDEXING_SUPPORTED_PLATFORMS__YES = macosx;
				INDEX_DISABLE_SCRIPT_EXECUTION = YES;
				LD = "";
				LDPLUSPLUS = "";
				LIBTOOL = libtool;
				SUPPORTED_PLATFORMS = "$(INDEXING_SUPPORTED_PLATFORMS__$(INDEX_ENABLE_BUILD_ARENA))";
				SUPPORTS_MACCATALYST = YES;
				SWIFT_EXEC = swiftc;
				TAPI_EXEC = "";
				TARGET_IDS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_generated/generator/m323/xcodeproj/xcodeproj_target_ids";
				TARGET_NAME = BazelDependencies;
			};
			name = Debug;
		};
		FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0100000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0100000000000000000001 /* BazelDependencies */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = FF0100000000000000000002 /* Build configuration list for PBXAggregateTarget "BazelDependencies" */;
			buildPhases = (
				FF0100000000000000000004 /* Generate Bazel Dependencies */,
				FF0100000000000000000005 /* Create swift_debug_settings.py */,
			);
			dependencies = (
			);
			name = BazelDependencies;
			productName = BazelDependencies;
		};
		FF0000000000000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_ASSET_SYMBOLS = NO;
				BAZEL_CONFIG = rules_xcodeproj;
				BAZEL_EXTERNAL = "$(BAZEL_OUTPUT_BASE)/external";
				BAZEL_INTEGRATION_DIR = "$(INTERNAL_DIR)/bazel";
				BAZEL_LLDB_INIT = "$(PROJECT_FILE_PATH)/rules_xcodeproj/bazel.lldbinit";
				BAZEL_OUT = "$(PROJECT_DIR)/bazel-out";
				BAZEL_OUTPUT_BASE = "$(_BAZEL_OUTPUT_BASE:standardizepath)";
				BAZEL_WORKSPACE_ROOT = "$(SRCROOT)";
				BUILD_DIR = "$(SYMROOT)/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				BUILD_MARKER_FILE = "$(OBJROOT)/build_marker";
				BUILD_WORKSPACE_DIRECTORY = "$(SRCROOT)";
				CC = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_MODULES_AUTOLINK = NO;
				CODE_SIGNING_ALLOWED = NO;
				CODE_SIGN_STYLE = Manual;
				CONFIGURATION_BUILD_DIR = "$(BUILD_DIR)/$(BAZEL_PACKAGE_BIN_DIR)";
				COPY_PHASE_STRIP = NO;
				CXX = "$(BAZEL_INTEGRATION_DIR)/clang.sh";
				DEBUG_INFORMATION_FORMAT = dwarf;
				DSTROOT = "$(PROJECT_TEMP_DIR)";
				ENABLE_DEBUG_DYLIB = NO;
				ENABLE_DEFAULT_SEARCH_PATHS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				IMPORT_INDEX_BUILD_INDEXSTORES = YES;
				INDEXING_PROJECT_DIR__ = "$(INDEXING_PROJECT_DIR__NO)";
				INDEXING_PROJECT_DIR__NO = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				INDEXING_PROJECT_DIR__YES = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/indexbuild_output_base/execroot/_main;
				INDEX_DATA_STORE_DIR = "$(INDEX_DATA_STORE_DIR)";
				INDEX_FORCE_SCRIPT_EXECUTION = YES;
				INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_index_import/index-import";
				INSTALL_PATH = "$(BAZEL_PACKAGE_BIN_DIR)/$(TARGET_NAME)/bin";
				INTERNAL_DIR = "$(PROJECT_FILE_PATH)/rules_xcodeproj";
				LD = "$(BAZEL_INTEGRATION_DIR)/ld";
				LDPLUSPLUS = "$(BAZEL_INTEGRATION_DIR)/ld";
				LD_DYLIB_INSTALL_NAME = "";
				LD_OBJC_ABI_VERSION = "";
				LD_RUNPATH_SEARCH_PATHS = "";
				LEGACY_INDEX_IMPORT = "$(BAZEL_OUT)/darwin_arm64-opt-exec/bin/external/rules_xcodeproj++rules_repos+rules_xcodeproj_legacy_index_import/index-import";
				LIBTOOL = "$(BAZEL_INTEGRATION_DIR)/libtool";
				ONLY_ACTIVE_ARCH = YES;
				PROJECT_DIR = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
				RESOLVED_REPOSITORIES = "\".\" \"/Users/cediackermann/Projects\"";
				RULES_XCODEPROJ_BUILD_MODE = bazel;
				SRCROOT = /Users/cediackermann/Projects;
				SUPPORTS_MACCATALYST = NO;
				SWIFT_EXEC = "$(BAZEL_INTEGRATION_DIR)/swiftc";
				SWIFT_OBJC_INTERFACE_HEADER_NAME = "";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_USE_INTEGRATED_DRIVER = NO;
				SWIFT_VERSION = 5.0;
				TAPI_EXEC = /usr/bin/true;
				TARGET_TEMP_DIR = "$(PROJECT_TEMP_DIR)/$(BAZEL_PACKAGE_BIN_DIR)/$(COMPILE_TARGET_NAME)";
				USE_HEADERMAP = NO;
				VALIDATE_WORKSPACE = NO;
				_BAZEL_OUTPUT_BASE = "$(PROJECT_DIR)/../..";
			};
			name = Debug;
		};
		FF0000000000000000000002 /* Build configuration list for PBXProject */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				FF0000000000000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		FF0000000000000000000001 /* Project object */ = {
			isa = PBXProject;
			buildConfigurationList = FF0000000000000000000002 /* Build configuration list for PBXProject */;
			compatibilityVersion = "Xcode 15.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			mainGroup = FF0000000000000000000003 /* /Users/cediackermann/Projects */;
			productRefGroup = FF0000000000000000000004 /* Products */;
			projectDirPath = /Users/cediackermann/Library/Caches/bazel/_bazel_cediackermann/32ebb412f2c3c34f6a486c67eed584f9/rules_xcodeproj.noindex/build_output_base/execroot/_main;
			projectRoot = "";
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 9999;
				LastUpgradeCheck = 9999;
				TargetAttributes = {
					FF0100000000000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0000BD3C9EC8000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0100ECF1F706000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0200FFDB3B65000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0300751D4F21000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0200B238902E000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					02003AC71E1F000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					02008BBAC3A6000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0400914C3FC0000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					06001C703C4E000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
					0500988D58C3000000000001 = {
						CreatedOnToolsVersion = 26.6.0;
						LastSwiftMigration = 9999;
					};
				};
			};
			knownRegions = (
				en,
				Base,
			);
			targets = (
				FF0100000000000000000001 /* BazelDependencies */,
				0000BD3C9EC8000000000001 /* 01_MapUebungen */,
				0100ECF1F706000000000001 /* 02_FilterUebungen */,
				0200FFDB3B65000000000001 /* 03_MapUndFilterUebungen */,
				0300751D4F21000000000001 /* 04_FoldLeftUebungen */,
				0200B238902E000000000001 /* 05_FlatMapUebungen */,
				02003AC71E1F000000000001 /* 06_ForComprehensionsUebungen */,
				02008BBAC3A6000000000001 /* Aufgabe3 */,
				0400914C3FC0000000000001 /* LeetCode */,
				06001C703C4E000000000001 /* m323 */,
				0500988D58C3000000000001 /* WeDontLikeCharA */,
			);
		};
		0000BD3C9EC8000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0000BD3C9EC8000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0000BD3C9EC8000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				00FFF74522CB433D9110604A /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0000BD3C9EC8000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:01_MapUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/01_MapUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 01_MapUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:01_MapUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 01_MapUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/01_MapUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/01_MapUebungen_objs/Sources/Aufgabe4/01_MapUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_01_MapUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_01_MapUebungen;
				PRODUCT_NAME = 01_MapUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 01_MapUebungen;
			};
			name = Debug;
		};
		0000BD3C9EC8000000000002 /* Build configuration list for PBXNativeTarget "01_MapUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0000BD3C9EC8000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0000BD3C9EC80000000000FF /* 01_MapUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 01_MapUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		0000BD3C9EC8000000000001 /* 01_MapUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0000BD3C9EC8000000000002 /* Build configuration list for PBXNativeTarget "01_MapUebungen" */;
			buildPhases = (
				0000BD3C9EC8000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0000BD3C9EC8000000000005 /* Create Link Dependencies */,
				0000BD3C9EC8000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0002BD3C9EC8FF0001000000 /* PBXTargetDependency */,
			);
			name = 01_MapUebungen;
			productName = 01_MapUebungen;
			productReference = 0000BD3C9EC80000000000FF /* 01_MapUebungen */;
			productType = "com.apple.product-type.tool";
		};
		0100ECF1F706000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0100ECF1F706000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0100ECF1F706000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				01FF8C6F0E2E4247037BD26C /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0100ECF1F706000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:02_FilterUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/02_FilterUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 02_FilterUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:02_FilterUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 02_FilterUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/02_FilterUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/02_FilterUebungen_objs/Sources/Aufgabe4/02_FilterUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_02_FilterUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_02_FilterUebungen;
				PRODUCT_NAME = 02_FilterUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 02_FilterUebungen;
			};
			name = Debug;
		};
		0100ECF1F706000000000002 /* Build configuration list for PBXNativeTarget "02_FilterUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0100ECF1F706000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0100ECF1F7060000000000FF /* 02_FilterUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 02_FilterUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		0100ECF1F706000000000001 /* 02_FilterUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0100ECF1F706000000000002 /* Build configuration list for PBXNativeTarget "02_FilterUebungen" */;
			buildPhases = (
				0100ECF1F706000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0100ECF1F706000000000005 /* Create Link Dependencies */,
				0100ECF1F706000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0102ECF1F706FF0001000000 /* PBXTargetDependency */,
			);
			name = 02_FilterUebungen;
			productName = 02_FilterUebungen;
			productReference = 0100ECF1F7060000000000FF /* 02_FilterUebungen */;
			productType = "com.apple.product-type.tool";
		};
		0200FFDB3B65000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0200FFDB3B65000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0200FFDB3B65000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				02FF75FE3D19EE9709CB1FAF /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0200FFDB3B65000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:03_MapUndFilterUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/03_MapUndFilterUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 03_MapUndFilterUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:03_MapUndFilterUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 03_MapUndFilterUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/03_MapUndFilterUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/03_MapUndFilterUebungen_objs/Sources/Aufgabe4/03_MapUndFilterUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_03_MapUndFilterUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_03_MapUndFilterUebungen;
				PRODUCT_NAME = 03_MapUndFilterUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 03_MapUndFilterUebungen;
			};
			name = Debug;
		};
		0200FFDB3B65000000000002 /* Build configuration list for PBXNativeTarget "03_MapUndFilterUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0200FFDB3B65000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0200FFDB3B650000000000FF /* 03_MapUndFilterUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 03_MapUndFilterUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		0200FFDB3B65000000000001 /* 03_MapUndFilterUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0200FFDB3B65000000000002 /* Build configuration list for PBXNativeTarget "03_MapUndFilterUebungen" */;
			buildPhases = (
				0200FFDB3B65000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0200FFDB3B65000000000005 /* Create Link Dependencies */,
				0200FFDB3B65000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0202FFDB3B65FF0001000000 /* PBXTargetDependency */,
			);
			name = 03_MapUndFilterUebungen;
			productName = 03_MapUndFilterUebungen;
			productReference = 0200FFDB3B650000000000FF /* 03_MapUndFilterUebungen */;
			productType = "com.apple.product-type.tool";
		};
		0200B238902E000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0200B238902E000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0200B238902E000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				02FFB29402E605E42359511E /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0200B238902E000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:05_FlatMapUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/05_FlatMapUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 05_FlatMapUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:05_FlatMapUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 05_FlatMapUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/05_FlatMapUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/05_FlatMapUebungen_objs/Sources/Aufgabe4/05_FlatMapUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_05_FlatMapUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_05_FlatMapUebungen;
				PRODUCT_NAME = 05_FlatMapUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 05_FlatMapUebungen;
			};
			name = Debug;
		};
		0200B238902E000000000002 /* Build configuration list for PBXNativeTarget "05_FlatMapUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0200B238902E000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0200B238902E0000000000FF /* 05_FlatMapUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 05_FlatMapUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		0200B238902E000000000001 /* 05_FlatMapUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0200B238902E000000000002 /* Build configuration list for PBXNativeTarget "05_FlatMapUebungen" */;
			buildPhases = (
				0200B238902E000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0200B238902E000000000005 /* Create Link Dependencies */,
				0200B238902E000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0202B238902EFF0001000000 /* PBXTargetDependency */,
			);
			name = 05_FlatMapUebungen;
			productName = 05_FlatMapUebungen;
			productReference = 0200B238902E0000000000FF /* 05_FlatMapUebungen */;
			productType = "com.apple.product-type.tool";
		};
		02003AC71E1F000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		02003AC71E1F000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		02003AC71E1F000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				02FFD8826A00E3E81141B34B /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		02003AC71E1F000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:06_ForComprehensionsUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/06_ForComprehensionsUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 06_ForComprehensionsUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:06_ForComprehensionsUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 06_ForComprehensionsUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/06_ForComprehensionsUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/06_ForComprehensionsUebungen_objs/Sources/Aufgabe4/06_ForComprehensionsUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_06_ForComprehensionsUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_06_ForComprehensionsUebungen;
				PRODUCT_NAME = 06_ForComprehensionsUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 06_ForComprehensionsUebungen;
			};
			name = Debug;
		};
		02003AC71E1F000000000002 /* Build configuration list for PBXNativeTarget "06_ForComprehensionsUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				02003AC71E1F000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		02003AC71E1F0000000000FF /* 06_ForComprehensionsUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 06_ForComprehensionsUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		02003AC71E1F000000000001 /* 06_ForComprehensionsUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 02003AC71E1F000000000002 /* Build configuration list for PBXNativeTarget "06_ForComprehensionsUebungen" */;
			buildPhases = (
				02003AC71E1F000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				02003AC71E1F000000000005 /* Create Link Dependencies */,
				02003AC71E1F000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				02023AC71E1FFF0001000000 /* PBXTargetDependency */,
			);
			name = 06_ForComprehensionsUebungen;
			productName = 06_ForComprehensionsUebungen;
			productReference = 02003AC71E1F0000000000FF /* 06_ForComprehensionsUebungen */;
			productType = "com.apple.product-type.tool";
		};
		02008BBAC3A6000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		02008BBAC3A6000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		02008BBAC3A6000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				02FF451A626E1C07FF0B96C3 /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		02008BBAC3A6000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:Aufgabe3";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Aufgabe3_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = Aufgabe3_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:Aufgabe3 darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = Aufgabe3;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Aufgabe3.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/Aufgabe3_objs/Sources/Aufgabe3/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_Aufgabe3_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_Aufgabe3;
				PRODUCT_NAME = Aufgabe3;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = Aufgabe3;
			};
			name = Debug;
		};
		02008BBAC3A6000000000002 /* Build configuration list for PBXNativeTarget "Aufgabe3" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				02008BBAC3A6000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		02008BBAC3A60000000000FF /* Aufgabe3 */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = Aufgabe3; sourceTree = BUILT_PRODUCTS_DIR; };
		02008BBAC3A6000000000001 /* Aufgabe3 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 02008BBAC3A6000000000002 /* Build configuration list for PBXNativeTarget "Aufgabe3" */;
			buildPhases = (
				02008BBAC3A6000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				02008BBAC3A6000000000005 /* Create Link Dependencies */,
				02008BBAC3A6000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				02028BBAC3A6FF0001000000 /* PBXTargetDependency */,
			);
			name = Aufgabe3;
			productName = Aufgabe3;
			productReference = 02008BBAC3A60000000000FF /* Aufgabe3 */;
			productType = "com.apple.product-type.tool";
		};
		0300751D4F21000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0300751D4F21000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0300751D4F21000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				03FF6E42F5A37A5F03E569F7 /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0300751D4F21000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:04_FoldLeftUebungen";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/04_FoldLeftUebungen_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = 04_FoldLeftUebungen_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:04_FoldLeftUebungen darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = 04_FoldLeftUebungen;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/04_FoldLeftUebungen.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/04_FoldLeftUebungen_objs/Sources/Aufgabe4/04_FoldLeftUebungen/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_04_FoldLeftUebungen_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_04_FoldLeftUebungen;
				PRODUCT_NAME = 04_FoldLeftUebungen;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = 04_FoldLeftUebungen;
			};
			name = Debug;
		};
		0300751D4F21000000000002 /* Build configuration list for PBXNativeTarget "04_FoldLeftUebungen" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0300751D4F21000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0300751D4F210000000000FF /* 04_FoldLeftUebungen */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = 04_FoldLeftUebungen; sourceTree = BUILT_PRODUCTS_DIR; };
		0300751D4F21000000000001 /* 04_FoldLeftUebungen */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0300751D4F21000000000002 /* Build configuration list for PBXNativeTarget "04_FoldLeftUebungen" */;
			buildPhases = (
				0300751D4F21000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0300751D4F21000000000005 /* Create Link Dependencies */,
				0300751D4F21000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0302751D4F21FF0001000000 /* PBXTargetDependency */,
			);
			name = 04_FoldLeftUebungen;
			productName = 04_FoldLeftUebungen;
			productReference = 0300751D4F210000000000FF /* 04_FoldLeftUebungen */;
			productType = "com.apple.product-type.tool";
		};
		0400914C3FC0000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0400914C3FC0000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0400914C3FC0000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04FFE185EDDA8F4AC4356AFA /* LeetCode.swift in Sources */,
				04FFACACB0639AD61B3F698F /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0400914C3FC0000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:LeetCode";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/LeetCode_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = LeetCode_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:LeetCode darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = LeetCode;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/LeetCode.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/LeetCode_objs/Sources/LeetCode/LeetCode.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_LeetCode_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_LeetCode;
				PRODUCT_NAME = LeetCode;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = LeetCode;
			};
			name = Debug;
		};
		0400914C3FC0000000000002 /* Build configuration list for PBXNativeTarget "LeetCode" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0400914C3FC0000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0400914C3FC00000000000FF /* LeetCode */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = LeetCode; sourceTree = BUILT_PRODUCTS_DIR; };
		0400914C3FC0000000000001 /* LeetCode */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0400914C3FC0000000000002 /* Build configuration list for PBXNativeTarget "LeetCode" */;
			buildPhases = (
				0400914C3FC0000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0400914C3FC0000000000005 /* Create Link Dependencies */,
				0400914C3FC0000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0402914C3FC0FF0001000000 /* PBXTargetDependency */,
			);
			name = LeetCode;
			productName = LeetCode;
			productReference = 0400914C3FC00000000000FF /* LeetCode */;
			productType = "com.apple.product-type.tool";
		};
		0500988D58C3000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0500988D58C3000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		0500988D58C3000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				05FFF2D37EB5732EF17A68EF /* main.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0500988D58C3000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:WeDontLikeCharA";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/WeDontLikeCharA_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = WeDontLikeCharA_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:WeDontLikeCharA darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = WeDontLikeCharA;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/WeDontLikeCharA.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/WeDontLikeCharA_objs/Sources/WeDontLikeCharA/main.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_WeDontLikeCharA_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_WeDontLikeCharA;
				PRODUCT_NAME = WeDontLikeCharA;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = WeDontLikeCharA;
			};
			name = Debug;
		};
		0500988D58C3000000000002 /* Build configuration list for PBXNativeTarget "WeDontLikeCharA" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0500988D58C3000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		0500988D58C30000000000FF /* WeDontLikeCharA */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = WeDontLikeCharA; sourceTree = BUILT_PRODUCTS_DIR; };
		0500988D58C3000000000001 /* WeDontLikeCharA */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0500988D58C3000000000002 /* Build configuration list for PBXNativeTarget "WeDontLikeCharA" */;
			buildPhases = (
				0500988D58C3000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				0500988D58C3000000000005 /* Create Link Dependencies */,
				0500988D58C3000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				0502988D58C3FF0001000000 /* PBXTargetDependency */,
			);
			name = WeDontLikeCharA;
			productName = WeDontLikeCharA;
			productReference = 0500988D58C30000000000FF /* WeDontLikeCharA */;
			productType = "com.apple.product-type.tool";
		};
		06001C703C4E000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Copy Bazel Outputs / Generate Bazel Dependencies (Index Build)";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"$ACTION\" == \"indexbuild\" ]]; then\n  cd \"$SRCROOT\"\n\n  \"$BAZEL_INTEGRATION_DIR/generate_index_build_bazel_dependencies.sh\"\nelse\n  \"$BAZEL_INTEGRATION_DIR/copy_outputs.sh\" \\\n    \"_BazelForcedCompile_.swift\" \\\n    \"\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		06001C703C4E000000000005 /* Create Link Dependencies */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"$(LINK_PARAMS_FILE)",
			);
			name = "Create Link Dependencies";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/link.params",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -euo pipefail\n\nif [[ \"${ENABLE_PREVIEWS:-}\" == \"YES\" ]]; then\nperl -pe 's/\\$(\\()?([a-zA-Z_]\\w*)(?(1)\\))/$ENV{$2}/g' \\\n  \"$SCRIPT_INPUT_FILE_0\" > \"$SCRIPT_OUTPUT_FILE_0\"\nelse\n  touch \"$SCRIPT_OUTPUT_FILE_0\"\nfi\n";
			showEnvVarsInLog = 0;
		};
		06001C703C4E000000000006 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				06FF9DD15BCF46B7B43EA2BB /* m323.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		06001C703C4E000000000100 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				BAZEL_LABEL = "@@//m323:m323";
				BAZEL_OUTPUTS_PRODUCT = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/m323_codesigned";
				BAZEL_OUTPUTS_PRODUCT_BASENAME = m323_codesigned;
				BAZEL_PACKAGE_BIN_DIR = "bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323";
				BAZEL_TARGET_ID = "@@//m323:m323 darwin_arm64-dbg-ST-9a5aec5712f9";
				COMPILE_TARGET_NAME = m323;
				EXECUTABLE_EXTENSION = "";
				LINK_PARAMS_FILE = "$(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/m323.rules_xcodeproj.link.params";
				MACOSX_DEPLOYMENT_TARGET = 26.5;
				OTHER_LDFLAGS = "@$(DERIVED_FILE_DIR)/link.params";
				OTHER_SWIFT_FLAGS = "-Xcc -working-directory -Xcc $(PROJECT_DIR) -working-directory $(PROJECT_DIR) -enforce-exclusivity=checked -emit-const-values-path bazel-out/darwin_arm64-dbg-ST-9a5aec5712f9/bin/m323/m323_objs/Sources/m323/m323.swift.swiftconstvalues -DDEBUG -Onone -Xfrontend -internalize-at-link -enable-testing -disable-sandbox -file-compilation-dir . -Xcc -iquote -Xcc $(PROJECT_DIR) -Xcc -iquote -Xcc $(BAZEL_OUT)/darwin_arm64-dbg-ST-9a5aec5712f9/bin -Xfrontend -disable-clang-spi -enable-experimental-feature AccessLevelOnImport -Xfrontend -entry-point-function-name -Xfrontend m323_m323_main -Xcc -O0 -Xcc -DDEBUG=1 -Xcc -fstack-protector -Xcc -fstack-protector-all -Xfrontend -checked-async-objc-bridging=on";
				PRODUCT_MODULE_NAME = m323_m323;
				PRODUCT_NAME = m323;
				SDKROOT = macosx;
				SUPPORTED_PLATFORMS = macosx;
				SWIFT_ENABLE_EMIT_CONST_VALUES = NO;
				TARGET_NAME = m323;
			};
			name = Debug;
		};
		06001C703C4E000000000002 /* Build configuration list for PBXNativeTarget "m323" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				06001C703C4E000000000100 /* Debug */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		06001C703C4E0000000000FF /* m323 */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = m323; sourceTree = BUILT_PRODUCTS_DIR; };
		06001C703C4E000000000001 /* m323 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 06001C703C4E000000000002 /* Build configuration list for PBXNativeTarget "m323" */;
			buildPhases = (
				06001C703C4E000000000003 /* Copy Bazel Outputs / Generate Bazel Dependencies (Index Build) */,
				06001C703C4E000000000005 /* Create Link Dependencies */,
				06001C703C4E000000000006 /* Sources */,
			);
			buildRules = (
			);
			dependencies = (
				06021C703C4EFF0001000000 /* PBXTargetDependency */,
			);
			name = m323;
			productName = m323;
			productReference = 06001C703C4E0000000000FF /* m323 */;
			productType = "com.apple.product-type.tool";
		};
		0001BD3C9EC8FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0002BD3C9EC8FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0001BD3C9EC8FF0001000000 /* PBXContainerItemProxy */;
		};
		0101ECF1F706FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0102ECF1F706FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0101ECF1F706FF0001000000 /* PBXContainerItemProxy */;
		};
		0201FFDB3B65FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0202FFDB3B65FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0201FFDB3B65FF0001000000 /* PBXContainerItemProxy */;
		};
		0301751D4F21FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0302751D4F21FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0301751D4F21FF0001000000 /* PBXContainerItemProxy */;
		};
		0201B238902EFF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0202B238902EFF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0201B238902EFF0001000000 /* PBXContainerItemProxy */;
		};
		02013AC71E1FFF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		02023AC71E1FFF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 02013AC71E1FFF0001000000 /* PBXContainerItemProxy */;
		};
		02018BBAC3A6FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		02028BBAC3A6FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 02018BBAC3A6FF0001000000 /* PBXContainerItemProxy */;
		};
		0401914C3FC0FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0402914C3FC0FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0401914C3FC0FF0001000000 /* PBXContainerItemProxy */;
		};
		06011C703C4EFF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		06021C703C4EFF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 06011C703C4EFF0001000000 /* PBXContainerItemProxy */;
		};
		0501988D58C3FF0001000000 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = FF0000000000000000000001 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = FF0100000000000000000001;
			remoteInfo = BazelDependencies;
		};
		0502988D58C3FF0001000000 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			name = BazelDependencies;
			target = FF0100000000000000000001 /* BazelDependencies */;
			targetProxy = 0501988D58C3FF0001000000 /* PBXContainerItemProxy */;
		};
		FF0000000000000000000003 /* /Users/cediackermann/Projects */ = {
			isa = PBXGroup;
			children = (
				FE0B6A8C2E81F8461958AA13 /* m323 */,
				FF0000000000000000000004 /* Products */,
				FF0000000000000000000005 /* Frameworks */,
			);
			path = /Users/cediackermann/Projects;
			sourceTree = "<absolute>";
		};
		FE00612040669FAF729D49AA /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE02EF2040CEF9D2B44A1010 /* LeetCode */ = {
			isa = PBXGroup;
			children = (
				FE41B11B59FD943059386908 /* LeetCode.swift */,
				FE00612040669FAF729D49AA /* main.swift */,
			);
			path = LeetCode;
			sourceTree = "<group>";
		};
		FE09D44427ABE09155087B03 /* m323Tests */ = {
			isa = PBXGroup;
			children = (
				FE44FBE715C5BDFDA80ECDCC /* m323Tests.swift */,
			);
			path = m323Tests;
			sourceTree = "<group>";
		};
		FE0B04460B1D6B9B11594D1B /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE0B6A8C2E81F8461958AA13 /* m323 */ = {
			isa = PBXGroup;
			children = (
				FE166C9A692D51E6024F7FE8 /* 01 */,
				FE33D36F2BFBBE20D6696EBB /* Sources */,
				FE9208E0847E4A0D28D5D289 /* Tests */,
				FE449A7A30D9D2FA6C52623F /* BUILD.bazel */,
				FE6DD6306FA3343F52C01D12 /* Package.swift */,
			);
			path = m323;
			sourceTree = "<group>";
		};
		FE1152FEB3187EBABB67CDCA /* Aufgabe4 */ = {
			isa = PBXGroup;
			children = (
				FEF05EECE85EC60CF9AC7819 /* 01_MapUebungen */,
				FEAC57083ABF810671B4C68B /* 02_FilterUebungen */,
				FEFFFC3F434A9A24388AC854 /* 03_MapUndFilterUebungen */,
				FEB34F9C1FA0B510DCC8C950 /* 04_FoldLeftUebungen */,
				FE1404842936BD862A2256B9 /* 05_FlatMapUebungen */,
				FEBA6B32F69C48F98B78947D /* 06_ForComprehensionsUebungen */,
				FE7E7DCB3151B40291745FC0 /* File.txt */,
			);
			path = Aufgabe4;
			sourceTree = "<group>";
		};
		FE12F9F1B4BE2AAA18A9EB4B /* Aufgabe3 */ = {
			isa = PBXGroup;
			children = (
				FEF3402C581841D2AF90ACFB /* main.swift */,
				FE3BEC8769F9169865AC414B /* PureOrNotPure.md */,
			);
			path = Aufgabe3;
			sourceTree = "<group>";
		};
		FE1404842936BD862A2256B9 /* 05_FlatMapUebungen */ = {
			isa = PBXGroup;
			children = (
				FEB7E46A4A20CE46D0765E2E /* main.swift */,
			);
			path = 05_FlatMapUebungen;
			sourceTree = "<group>";
		};
		FE146E3F4483945E04E504F7 /* ShoppingCartImperative.java */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.java; path = ShoppingCartImperative.java; sourceTree = "<group>"; };
		FE166C9A692D51E6024F7FE8 /* 01 */ = {
			isa = PBXGroup;
			children = (
				FE5C4A40CE75BC60096B82E9 /* Drei.java */,
				FE6F843D1149E6C4D815F795 /* Eins.java */,
				FEFB3034C5FA9AC0604BA059 /* ShoppingCartFunctional.java */,
				FE146E3F4483945E04E504F7 /* ShoppingCartImperative.java */,
			);
			path = 01;
			sourceTree = "<group>";
		};
		FE33D36F2BFBBE20D6696EBB /* Sources */ = {
			isa = PBXGroup;
			children = (
				FE12F9F1B4BE2AAA18A9EB4B /* Aufgabe3 */,
				FE1152FEB3187EBABB67CDCA /* Aufgabe4 */,
				FE02EF2040CEF9D2B44A1010 /* LeetCode */,
				FE5F6E7CCED8AB1DFBDC6C99 /* m323 */,
				FEF421DCE33FD17844814950 /* WeDontLikeCharA */,
			);
			path = Sources;
			sourceTree = "<group>";
		};
		FE3BAF9803A457076E1006CF /* m323.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = m323.swift; sourceTree = "<group>"; };
		FE3BEC8769F9169865AC414B /* PureOrNotPure.md */ = {isa = PBXFileReference; lastKnownFileType = net.daringfireball.markdown; path = PureOrNotPure.md; sourceTree = "<group>"; };
		FE41B11B59FD943059386908 /* LeetCode.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LeetCode.swift; sourceTree = "<group>"; };
		FE449A7A30D9D2FA6C52623F /* BUILD.bazel */ = {isa = PBXFileReference; explicitFileType = text.script.python; path = BUILD.bazel; sourceTree = "<group>"; };
		FE44FBE715C5BDFDA80ECDCC /* m323Tests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = m323Tests.swift; sourceTree = "<group>"; };
		FE5C4A40CE75BC60096B82E9 /* Drei.java */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.java; path = Drei.java; sourceTree = "<group>"; };
		FE5F6E7CCED8AB1DFBDC6C99 /* m323 */ = {
			isa = PBXGroup;
			children = (
				FE3BAF9803A457076E1006CF /* m323.swift */,
			);
			path = m323;
			sourceTree = "<group>";
		};
		FE6221723CCCD19779F16AC2 /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE6DD6306FA3343F52C01D12 /* Package.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Package.swift; sourceTree = "<group>"; };
		FE6F843D1149E6C4D815F795 /* Eins.java */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.java; path = Eins.java; sourceTree = "<group>"; };
		FE7E7DCB3151B40291745FC0 /* File.txt */ = {isa = PBXFileReference; lastKnownFileType = text; path = File.txt; sourceTree = "<group>"; };
		FE7EEF041D742C358F7251CC /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE839AD63DC0AFBA0116C87A /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FE9208E0847E4A0D28D5D289 /* Tests */ = {
			isa = PBXGroup;
			children = (
				FE09D44427ABE09155087B03 /* m323Tests */,
			);
			path = Tests;
			sourceTree = "<group>";
		};
		FEAC57083ABF810671B4C68B /* 02_FilterUebungen */ = {
			isa = PBXGroup;
			children = (
				FE6221723CCCD19779F16AC2 /* main.swift */,
			);
			path = 02_FilterUebungen;
			sourceTree = "<group>";
		};
		FEB34F9C1FA0B510DCC8C950 /* 04_FoldLeftUebungen */ = {
			isa = PBXGroup;
			children = (
				FE7EEF041D742C358F7251CC /* main.swift */,
			);
			path = 04_FoldLeftUebungen;
			sourceTree = "<group>";
		};
		FEB7E46A4A20CE46D0765E2E /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FEBA6B32F69C48F98B78947D /* 06_ForComprehensionsUebungen */ = {
			isa = PBXGroup;
			children = (
				FEF373A6D363EBEF2D3AE87E /* main.swift */,
			);
			path = 06_ForComprehensionsUebungen;
			sourceTree = "<group>";
		};
		FED1C9C1D684180A7C8ED32C /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FEF05EECE85EC60CF9AC7819 /* 01_MapUebungen */ = {
			isa = PBXGroup;
			children = (
				FED1C9C1D684180A7C8ED32C /* main.swift */,
			);
			path = 01_MapUebungen;
			sourceTree = "<group>";
		};
		FEF3402C581841D2AF90ACFB /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FEF373A6D363EBEF2D3AE87E /* main.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = main.swift; sourceTree = "<group>"; };
		FEF421DCE33FD17844814950 /* WeDontLikeCharA */ = {
			isa = PBXGroup;
			children = (
				FE839AD63DC0AFBA0116C87A /* main.swift */,
			);
			path = WeDontLikeCharA;
			sourceTree = "<group>";
		};
		FEFB3034C5FA9AC0604BA059 /* ShoppingCartFunctional.java */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.java; path = ShoppingCartFunctional.java; sourceTree = "<group>"; };
		FEFFFC3F434A9A24388AC854 /* 03_MapUndFilterUebungen */ = {
			isa = PBXGroup;
			children = (
				FE0B04460B1D6B9B11594D1B /* main.swift */,
			);
			path = 03_MapUndFilterUebungen;
			sourceTree = "<group>";
		};
		00FFF74522CB433D9110604A /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FED1C9C1D684180A7C8ED32C /* main.swift */; };
		01FF8C6F0E2E4247037BD26C /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE6221723CCCD19779F16AC2 /* main.swift */; };
		02FF451A626E1C07FF0B96C3 /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEF3402C581841D2AF90ACFB /* main.swift */; };
		02FF75FE3D19EE9709CB1FAF /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE0B04460B1D6B9B11594D1B /* main.swift */; };
		02FFB29402E605E42359511E /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEB7E46A4A20CE46D0765E2E /* main.swift */; };
		02FFD8826A00E3E81141B34B /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FEF373A6D363EBEF2D3AE87E /* main.swift */; };
		03FF6E42F5A37A5F03E569F7 /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE7EEF041D742C358F7251CC /* main.swift */; };
		04FFACACB0639AD61B3F698F /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE00612040669FAF729D49AA /* main.swift */; };
		04FFE185EDDA8F4AC4356AFA /* LeetCode.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE41B11B59FD943059386908 /* LeetCode.swift */; };
		05FFF2D37EB5732EF17A68EF /* main.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE839AD63DC0AFBA0116C87A /* main.swift */; };
		06FF9DD15BCF46B7B43EA2BB /* m323.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE3BAF9803A457076E1006CF /* m323.swift */; };
		FF0000000000000000000004 /* Products */ = {
			isa = PBXGroup;
			children = (
				0000BD3C9EC80000000000FF /* 01_MapUebungen */,
				0100ECF1F7060000000000FF /* 02_FilterUebungen */,
				0200FFDB3B650000000000FF /* 03_MapUndFilterUebungen */,
				0300751D4F210000000000FF /* 04_FoldLeftUebungen */,
				0200B238902E0000000000FF /* 05_FlatMapUebungen */,
				02003AC71E1F0000000000FF /* 06_ForComprehensionsUebungen */,
				02008BBAC3A60000000000FF /* Aufgabe3 */,
				0400914C3FC00000000000FF /* LeetCode */,
				06001C703C4E0000000000FF /* m323 */,
				0500988D58C30000000000FF /* WeDontLikeCharA */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		FF0000000000000000000005 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
	};
	rootObject = FF0000000000000000000001 /* Project object */;
}
